Name:       openldap-smbk5pwd
Version:    2.4.8
Release:    %mkrel 3
Summary:    OpenLdap smbk5pwd overlay
License:    Artistic
Group: 		System/Servers
URL: 		http://www.openldap.org
Source0: 	openldap-smbk5pwd-%{version}.tar.gz
Patch0:     openldap-smbk5pwd-2.4.8-dont-use-internal-functions.patch
Patch1:     openldap-smbk5pwd-2.4.8-fix-password-termination.patch
BuildRequires: heimdal-devel
BuildRequires: openldap-devel >= 2.4.8
BuildRequires: tcp_wrappers-devel
BuildRequires: libtool
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This package contains a slapd overlay, smbk5pwd, that extends the
PasswordModify Extended Operation to update Kerberos keys and Samba
password hashes for an LDAP user.

%prep
%setup -q -n smbk5pwd
%patch0 -p 0
%patch1 -p 0

%build
make \
    libdir=%{_libdir} \
    LIBTOOL=%{_bindir}/libtool \
    LDAP_INC="-I%{_includedir}/openldap/include -I%{_includedir}/openldap/slapd"

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_libdir}/openldap
cp  .libs/smbk5pwd.so* %{buildroot}/%{_libdir}/openldap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{_libdir}/openldap/*


%changelog
* Wed Jun 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-3mdv2008.1
+ Revision: 229066
- fix password-termination issue (openldap ITS#5575)

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.8-2mdv2009.0
+ Revision: 212786
- fix usage of heimdal private functions

* Sun Mar 23 2008 Buchan Milne <bgmilne@mandriva.org> 2.4.8-1mdv2008.1
+ Revision: 189695
- import openldap-smbk5pwd


